package com.fs.sop.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.company.domain.Company;
import com.fs.sop.domain.CompanySopRole;

/**
 * 公司SOP权限Service接口
 * 
 * @author fs
 * @date 2025-04-22
 */
public interface ICompanySopRoleService extends IService<CompanySopRole>{
    /**
     * 查询公司SOP权限
     * 
     * @param id 公司SOP权限主键
     * @return 公司SOP权限
     */
    CompanySopRole selectCompanySopRoleById(Long id);

    /**
     * 查询公司SOP权限列表
     * 
     * @param companySopRole 公司SOP权限
     * @return 公司SOP权限集合
     */
    List<Company> selectCompanySopRoleList(CompanySopRole companySopRole);

    /**
     * 新增公司SOP权限
     * 
     * @param companySopRole 公司SOP权限
     * @return 结果
     */
    int insertCompanySopRole(CompanySopRole companySopRole);

    /**
     * 修改公司SOP权限
     * 
     * @param companySopRole 公司SOP权限
     * @return 结果
     */
    int updateCompanySopRole(CompanySopRole companySopRole);

    /**
     * 批量删除公司SOP权限
     * 
     * @param ids 需要删除的公司SOP权限主键集合
     * @return 结果
     */
    int deleteCompanySopRoleByIds(Long[] ids);

    /**
     * 删除公司SOP权限信息
     * 
     * @param id 公司SOP权限主键
     * @return 结果
     */
    int deleteCompanySopRoleById(Long id);


    List<String> getRolesByCompanyId(Long id);
}
